%define anolis_release 2

Name:           jansson
Version:        2.14
Release:        %{anolis_release}%{?dist}
Summary:        C library for encoding, decoding and manipulating JSON data

License:        MIT
URL:            https://github.com/akheron/jansson
Source0:        https://github.com/akheron/jansson/releases/download/v%{version}/jansson-%{version}.tar.gz

Patch1001:	1001-nm-symver-workaround.patch

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  python3-sphinx

%description
Jansson is a C library for encoding, decoding and manipulating JSON data.
It features:
 * Simple and intuitive API and data model
 * Comprehensive documentation
 * No dependencies on other libraries
 * Full Unicode support (UTF-8)
 * Extensive test suite

%package devel
Summary: Header files for jansson
Requires: %{name} = %{version}-%{release}

%description devel
Header files for developing applications making use of jansson.

%package devel-doc
Summary: Development documentation for jansson
BuildArch: noarch

%description devel-doc
Development documentation for jansson.

%prep
%autosetup -p1

%build
%configure --disable-static
%make_build
make html

%install
%make_install
find %{buildroot}/%{_libdir} -name '*.la' -delete -print

%generate_compatibility_deps

# ABI check failed on newest toolchain
# suffix of @@libjansson.so.4 is added, seems harmless
%check
make check

%files
%dir %{abidir}
%license LICENSE
%doc CHANGES
%{_libdir}/*.so.*
%{abidir}/*.dump

%files devel
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/*

%files devel-doc
%doc doc/_build/html/*

%changelog
* Tue Oct 25 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.13.1-2
- optimise spec file

* Wed Mar 09 2022 Su Lifan <su-lifan@linux.alibaba.com> - 2.13.1-1
- Initial packaging for Anolis OS 23
